import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { ChannelSelectorComponent } from './pages/channel-selector/channel-selector.component';
import { TelegramTutorialComponent } from './pages/telegram-tutorial/telegram-tutorial.component';

const routes: Routes = [
  { path: '', pathMatch: 'full', component: ChannelSelectorComponent },
  { path: 'telegram', component: TelegramTutorialComponent }
];

@NgModule({
  declarations: [
    TelegramTutorialComponent,
    ChannelSelectorComponent,
  ],
  imports: [
    RouterModule.forChild(routes),
    CommonModule,
  ]
})
export class TutorialModule { }
